Assign allowed address pairs for instance port
curl --request PUT \
--url https://api.gcore.com/cloud/v2/ports/{project_id}/{region_id}/{port_id}/allow_address_pairs \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"allowed_address_pairs": [
{
"ip_address": "192.168.123.20",
"mac_address": "00:16:3e:f2:87:16"
},
{
"ip_address": "192.168.0.0/17",
"mac_address": "00:16:3e:f2:87:89"
}
]
}
'import requests
url = "https://api.gcore.com/cloud/v2/ports/{project_id}/{region_id}/{port_id}/allow_address_pairs"
payload = { "allowed_address_pairs": [
{
"ip_address": "192.168.123.20",
"mac_address": "00:16:3e:f2:87:16"
},
{
"ip_address": "192.168.0.0/17",
"mac_address": "00:16:3e:f2:87:89"
}
] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowed_address_pairs: [
{ip_address: '192.168.123.20', mac_address: '00:16:3e:f2:87:16'},
{ip_address: '192.168.0.0/17', mac_address: '00:16:3e:f2:87:89'}
]
})
};
fetch('https://api.gcore.com/cloud/v2/ports/{project_id}/{region_id}/{port_id}/allow_address_pairs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Instances
Assign allowed address pairs for instance port
deprecated
Deprecated. Use PATCH /v1/ports/// instead.
PUT
/
cloud
/
v2
/
ports
/
{project_id}
/
{region_id}
/
{port_id}
/
allow_address_pairs
Assign allowed address pairs for instance port
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
Port ID
Example:
"1f0ca628-a73b-42c0-bdac-7b10d023e097"
Body
application/json
A set of zero or more allowed port address pair and/or subnet masks
Maximum array length:
10Show child attributes
Show child attributes
Example:
[
{
"ip_address": "192.168.123.20",
"mac_address": "00:16:3e:f2:87:16"
},
{
"ip_address": "192.168.0.0/17",
"mac_address": "00:16:3e:f2:87:89"
}
]
Response
200 - application/json
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
Example:
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?
⌘I